Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment
Class SingleSequenceAlignment

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.alignment.AbstractSequenceAlignment
            |
            +--uk.ac.man.bioinf.sequence.alignment.DefaultSequenceAlignment
                  |
                  +--uk.ac.man.bioinf.sequence.alignment.SingleSequenceAlignment

All Implemented Interfaces:
  AlignmentEventProvider, EventListener, Identifiable, SequenceAlignment, SequenceEventProvider, SequenceListener, VetoableSequenceListener

public class SingleSequenceAlignment
extends DefaultSequenceAlignment

SingleSequenceAlignment.java This class is for those stick occasions when you want a SequenceAlignment but all you have is a Sequence. I don't know how to make an array all within a single line so I have had to make a factory method here. Created: Tue Aug 1 16:16:33 2000

Version:
  $Id: SingleSequenceAlignment.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`SingleSequenceAlignment(GappedSequence seq)`

Method Summary
`int` | `getNumberOfSequences()`
`GappedSequence` | `getSingleSequence()`

Methods inherited from class uk.ac.man.bioinf.sequence.alignment.DefaultSequenceAlignment
`addSequenceQuietly, getIdentifier, getInset, getLength, getNumberSequences, getSequenceAt, getSequenceIndex, getSequenceType, getSubAlignment, init, removeSequenceQuietly, setInsetQuietly, setLengthQuietly`

Methods inherited from class uk.ac.man.bioinf.sequence.alignment.AbstractSequenceAlignment
`addAlignmentListener, addSequence, addSequence, addSequenceListener, addVetoableAlignmentListener, addVetoableSequenceListener, changeOccurred, fireAlignmentEvent, fireVetoableAlignmentEvent, getSubAlignment, removeAlignmentListener, removeSequence, removeSequenceListener, removeVetoableAlignmentListener, removeVetoableSequenceListener, setInset, vetoableChangeOccurred`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleSequenceAlignment

    public SingleSequenceAlignment(GappedSequence seq)

Method Detail

### getNumberOfSequences

    public int getNumberOfSequences()

### getSingleSequence

    public GappedSequence getSingleSequence()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD